import { Component, Input } from '@angular/core';
import { highlightText } from './core';

@Component({
  selector: 'universal-text-highlight',
  template: '<span [innerHTML]="highlightedText"></span>'
})
export class UniversalTextHighlightComponent {
  @Input() text: string;
  @Input() highlight: string | string[];
  @Input() caseSensitive: boolean = false;

  get highlightedText() {
    return highlightText(this.text, this.highlight, this.caseSensitive);
  }
}