export function highlightText(text, highlight, caseSensitive = false, highlightStyle) {
  if (!highlight) {
    return text;
  }

  const highlights = Array.isArray(highlight) ? highlight : [highlight];
  let result = text;

  highlights.forEach(keyword => {
    if (keyword) {
      const regex = new RegExp(escapeRegExp(keyword), caseSensitive ? 'g' : 'gi');
      result = result.replace(regex, match => `<mark style="${highlightStyle}" class="universal-highlight">${match}</mark>`);
    }
  });

  return result;
}

function escapeRegExp(string) {
  return string.replace(/[.*+?^${}()|[\]\\]/g, '\\$&');
}